descriptions = wl.Descriptions()

-- ********** Empire ********** --

-- ** Replace Empire Resource Indicators ** --
descriptions:modify_unit("tribe", "empire", "add_immovable", "empire_resi_coal_1", { helptexts = {
   purpose = {
      -- TRANSLATORS: Helptext for an empire resource indicator: Coal, part 1
      _("Coal veins contain coal that can be dug up by coal mines."),
      -- TRANSLATORS: Helptext for an empire resource indicator: Coal, part 2
      _("There is only a little bit of coal here.")
}}})
descriptions:modify_unit("tribe", "empire", "add_immovable", "empire_resi_coal_2", { helptexts = {
   purpose = {
      -- TRANSLATORS: Helptext for an empire resource indicator: Coal, part 1
      _("Coal veins contain coal that can be dug up by coal mines."),
      -- TRANSLATORS: Helptext for an empire resource indicator: Coal, part 2
      _("There is a lot of coal here.")
}}})

-- ** Add Programs to Empire Miner ** --
descriptions:modify_unit("worker", "empire_miner", "programs", "set", "remove_resi_coal", {
   descname = "", actions = {
      "findobject=attrib:resi_coal radius:2",
      "removeobject"
}})

-- ** Add Miner Programs to Empire Mine Programs ** --
descriptions:modify_unit("productionsite", "empire_coalmine", "programs", "set", "main", {
   -- TRANSLATORS: Completed/Skipped/Did not start mining coal because ...
   descname = _"mining coal",
   actions = {
      "return=skipped unless economy needs coal",
      "consume=beer ration",
      "sleep=duration:43s",
      "call=mine_produce",
      "callworker=remove_resi_coal",
      "call=mine_produce",
      "callworker=remove_resi_coal",
      "call=mine_produce",
      "callworker=remove_resi_coal",
      "return=skipped"
}})

